Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete document permission

DELETE/workspaces/{organizationId}/documents/{id}/permissions/{actorId}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
actorIdstringrequired
Responses
204

Permission revoked

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/documents/string/permissions/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Permission revoked

Was this page helpful?